<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" encoding="ISO-8859-1" indent="yes"/>

	<xsl:template match="/">
		<xsl:element name="Feldgruppen">
			<xsl:apply-templates select="Workbook/Worksheet[position()=1]"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="Worksheet">
		<xsl:element name="Feldgruppe">
			<xsl:element name="Name">
				<xsl:value-of select="@Name"/>
			</xsl:element>
			<xsl:element name="Felder">
				<!--berschrift und Feldnamen ausblenden, deshalb ab Reihe drei-->
				<xsl:apply-templates select="Table/Row[position()&gt;2]"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="Row">
		<xsl:element name="Feld">
			<xsl:apply-templates select="(Cell[@Index='2']|Cell[position()=2])[position()=1]" mode="CreateField"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="Cell" mode="CreateField">
		<xsl:element name="Name">
			<xsl:value-of select="Data"/>
		</xsl:element>
		<xsl:element name="Alias">
			<xsl:value-of select="following-sibling::Cell[position()=1]/Data"/>
		</xsl:element>
		<xsl:element name="Laenge">
			<xsl:value-of select="following-sibling::Cell[position()=3]/Data"/>
		</xsl:element>
		<xsl:apply-templates select="following-sibling::Cell[position()=5]" mode="CreateType"/>
	</xsl:template>

	<xsl:template match="Cell" mode="CreateType">
		<!--Default, falls nichts gefunden wird-->
		<xsl:element name="FeldUnbekannt">
			<xsl:value-of select="Data"/>
		</xsl:element>
		<!--<xsl:message terminate="yes">Undefiniertes Feld</xsl:message>-->
	</xsl:template>

	<xsl:template match="Cell[Data='Datum']" mode="CreateType">
		<xsl:element name="FeldDatum"/>
	</xsl:template>

	<xsl:template match="Cell[Data='Zeitstempe']" mode="CreateType">
		<xsl:element name="FeldZeitstempel"/>
	</xsl:template>

	<xsl:template match="Cell[Data='Text']" mode="CreateType">
		<xsl:element name="FeldText"/>
	</xsl:template>

	<xsl:template match="Cell[Data='num']" mode="CreateType">
		<xsl:element name="FeldZahl"/>
	</xsl:template>
</xsl:stylesheet>
<!-- Stylesheet edited using Stylus Studio - (c)1998-2002 eXcelon Corp. -->
